Package com.orbbec.obsensor

## Class DeCompressionFilter

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.Filter
    - - com.orbbec.obsensor.DeCompressionFilter

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `java.lang.Cloneable`

    public class DeCompressionFilter
    extends Filter

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Constructor Summary

Constructors
`DeCompressionFilter()` Create decompression filter

### Method Summary

### Methods inherited from class com.orbbec.obsensor.Filter

`close, process, pushFrame, reset, setCallback`

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeCompressionFilter

    public DeCompressionFilter()

Create decompression filter